Pular para o conteúdo principal
POST
/
crm
/
associations
/
v4
/
definitions
/
configurations
/
{fromObjectType}
/
{toObjectType}
/
batch
/
create
Configure association limits
curl --request POST \
  --url https://api.hubapi.com/crm/associations/v4/definitions/configurations/{fromObjectType}/{toObjectType}/batch/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "category": "HUBSPOT_DEFINED",
      "maxToObjectIds": 123,
      "typeId": 123
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "category": "HUBSPOT_DEFINED",
      "typeId": 123,
      "label": "<string>",
      "userEnforcedMaxToObjectIds": 123
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de caminho

fromObjectType
string
obrigatório
toObjectType
string
obrigatório

Corpo

application/json
inputs
object[]
obrigatório

Resposta

successful operation

completedAt
string<date-time>
obrigatório

The date and time when the batch operation was completed.

results
object[]
obrigatório
startedAt
string<date-time>
obrigatório

The date and time when the batch operation started.

status
enum<string>
obrigatório

The current status of the batch operation, which can be CANCELED, COMPLETE, PENDING, or PROCESSING.

Opções disponíveis:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

A collection of URLs linking to related documentation or resources associated with the batch operation.

requestedAt
string<date-time>

The date and time when the batch operation was requested.

Last modified on April 13, 2026